com.tibbo.aggregate.common.action

## Class ActionManager

- java.lang.Object
- - com.tibbo.aggregate.common.action.ActionManager

-     public class ActionManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionManager(ActionDirectory actionDirectory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionResult` | `destroyAction(ActionIdentifier actionId)`
    `void` | `destroyAll()`
    `Action` | `getAction(ActionIdentifier actionID)`
    `ActionContext` | `getActionContext(ActionIdentifier actionId)`
    `ActionDirectory` | `getActionDirectory()`
    `ActionIdentifier` | `getActionID(Action action)`
    `ActionIdentifier` | `initAction(ActionContext actionContext, InitialRequest initialParameters, ActionExecutionMode mode, java.lang.String customActionId)`
    `ActionIdentifier` | `initActions(java.util.List<BatchEntry> entries, ActionContext batchActionContext)`
    `protected Action` | `instantiateAction(ActionDefinition actionDefinition)`
    `protected ActionIdentifier` | `registerAction(ActionContext actionContext, Action action, ActionExecutionMode mode, java.lang.String customActionId)`
    `java.util.List<ActionDefinition>` | `resolveDefinitions(java.util.List<ActionLocator> actionLocators)`
    `ActionCommand` | `service(ActionIdentifier actionId, ActionResponse actionRequest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionManager

          public ActionManager(ActionDirectory actionDirectory)

  - ### Method Detail

    - #### resolveDefinitions

          public java.util.List<ActionDefinition> resolveDefinitions(java.util.List<ActionLocator> actionLocators)

    - #### initActions

          public ActionIdentifier initActions(java.util.List<BatchEntry> entries,
                                              ActionContext batchActionContext)

    - #### initAction

          public ActionIdentifier initAction(ActionContext actionContext,
                                             InitialRequest initialParameters,
                                             ActionExecutionMode mode,
                                             java.lang.String customActionId)

    - #### instantiateAction

          protected Action instantiateAction(ActionDefinition actionDefinition)

    - #### service

          public ActionCommand service(ActionIdentifier actionId,
                                       ActionResponse actionRequest)

    - #### destroyAction

          public ActionResult destroyAction(ActionIdentifier actionId)

    - #### destroyAll

          public void destroyAll()

    - #### getActionContext

          public ActionContext getActionContext(ActionIdentifier actionId)

    - #### getActionID

          public ActionIdentifier getActionID(Action action)

    - #### getAction

          public Action getAction(ActionIdentifier actionID)

    - #### getActionDirectory

          public ActionDirectory getActionDirectory()

    - #### registerAction

          protected ActionIdentifier registerAction(ActionContext actionContext,
                                                    Action action,
                                                    ActionExecutionMode mode,
                                                    java.lang.String customActionId)